changeset 31:a5691a22c92b

Fix a bug in update_source_trees where it could eat any existing dirstack entries if there were any non-directories in the working directory.
author Augie Fackler <durin42@gmail.com>
date Mon, 05 Jan 2009 11:46:29 -0600
parents 43e751bdedeb
children dc1c584707e6
files .zsh/50.vcs_functions.zsh
diffstat 1 files changed, 1 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/.zsh/50.vcs_functions.zsh
+++ b/.zsh/50.vcs_functions.zsh
@@ -40,7 +40,7 @@ function clean_svn_source_trees() {
 # "known" means ones I'm forced to use on a regular basis
 function update_source_trees() {
     for aa in */ ; do
-        pushd $aa > /dev/null
+        pushd $aa > /dev/null || continue
         if [ -e .svn ] ; then
             echo $aa 'is an svn checkout, updating'
             svn up